import { Component, Input,
    ChangeDetectorRef, ChangeDetectionStrategy } from '@angular/core'

import { FileImport } from '../../../openapi'

@Component({
    selector: 'gisaf-admin-basket-item',
    templateUrl: './basket-item.component.html',
    styleUrls: ['./basket-item.component.css'],
    changeDetection: ChangeDetectionStrategy.OnPush,
})
export class AdminBasketItemComponent {
    constructor(
        private cdr: ChangeDetectorRef,
    ) {}

    @Input() file: FileImport
}